#define     gitauthor	scrooloose
#define     githash	54896be
%define     vimfiles        %{_datadir}/vim/vimfiles

Name:           syntastic
Version:        3.1.0
Release:        %mkrel 4
Summary:        A syntax checker for programming language
Group:		Development/Tools
License:        WTFPL    
URL:            https://github.com/scrooloose/syntastic
# git download https://nodeload.github.com/scrooloose/syntastic/tarball/3.1.0
#Source0:        %{gitauthor}-%{name}-%{version}-0-g%{githash}.tar.gz
Source0:        %{name}-%{version}.tar.gz

BuildArch:      noarch
Requires:       vim


%description
Syntastic is a syntax checking plugin that runs files through external syntax 
checkers and displays any resulting errors to the user. This can be done on 
demand, or automatically as files are saved. If syntax errors are detected, the
user is notified and is happy because they didn't have to compile their code or
execute their script to find them.

At the time of this writing, syntax checking plugins exist for applescript, 
c, coffee, cpp, css, cucumber, cuda, docbk, erlang, eruby, fortran, 
go, haml, haskell, html, javascript, json, less, lua, matlab,
perl, php, puppet, python, rst, ruby, sass/scss, sh, tcl, tex, vala, xhtml,
xml, xslt, yaml, zpt

%package ada
Summary:        A syntax checker for ada programming language
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch

%description ada
Able to check ada sources files.

%package applescript
Summary:        A syntax checker for applescript programming language
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch

%description applescript
Able to check applescript sources files.

%package asciidoc
Summary:        A syntax checker for asciidoc programming language
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch

%description asciidoc
Able to check asciidoc sources files.

%package c
Summary:        A syntax checker for C programming language
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       gcc

%description c
Able to check C sources files.

%package cpp
Summary:        A syntax checker for C programming language
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       gcc-c++

%description cpp
Able to check C++ sources files.

%package cs
Summary:        A syntax checker for CSharp files
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       mcs

%description cs
Able to check CSharp sources files.

%package css
Summary:        A syntax checker for CSS files
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       csslint

%description css
Able to check CSS sources files.

%package cucumber
Summary:        A syntax checker for cucumber files
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       ruby-cucumber

%description cucumber
Able to check cucumber sources files.

%package docbk
Summary:        A syntax checker for docbk files
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       libxml2-utils

%description docbk
Able to check docbk sources files.

%package d
Summary:        A syntax checker for D programming language
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       ldc

%description d
Able to check D sources files.

%package erlang
Summary:        A syntax checker for Erlang programming language
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       erlang-base

%description erlang
Able to check Erlang sources files.

%package eruby
Summary:        A syntax checker for eRuby files
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       ruby

%description eruby
Able to check eruby sources files.

%package fortran
Summary:        A syntax checker for Fortran programming language
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       gcc-gfortran

%description fortran
Able to check fortran sources files.

%package haml
Summary:        A syntax checker for haml files
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       ruby-haml

%description haml
Able to check haml sources files.

%package haskell
Summary:        A syntax checker for haskell files
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       haskell-macros

%description haskell
Able to check haskell sources files.

%package html
Summary:        A syntax checker for HTML files
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       sed
Requires:       curl
Requires:       tidy

%description html
Able to check HTML sources files.

%package java
Summary:        A syntax checker for Java programming language
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       javacc

%description java
Able to check Java sources files.

%package javascript
Summary:        A syntax checker for Javascript programming language
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       jsl

%description javascript
Able to check Javascript sources files.

%package json
Summary:        A syntax checker for json files
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       jsonlint

%description json
Able to check json sources files.

%package less
Summary:        A syntax checker for Less programming language
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch

%description less
Able to check Less sources files.

%package lisp
Summary:        A syntax checker for Lisp programming language
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:	clisp

%description lisp
Able to check Lisp sources files.

%package llvm
Summary:        A syntax checker for llvm programming language
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:	llvm

%description llvm
Able to check llvm sources files.

%package lua
Summary:        A syntax checker for lua programmig language
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       lua

%description lua
Able to check lua sources files.

%package matlab
Summary:        A syntax checker for matlab files
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Suggests:	octave

%description matlab
Able to check matlab sources files.

%package nasm
Summary:        A syntax checker for NASM files
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       nasm

%description nasm
Able to check nasm sources files.

%package objc
Summary:        A syntax checker for Objective C programming language
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       gcc-objc

%description objc
Able to check Objective C sources files.

%package objcpp
Summary:        A syntax checker for Objective C++ programming language
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       gcc-objc++

%description objcpp
Able to check Objective C++ sources files.

%package ocaml
Summary:        A syntax checker for OCaml programming language
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       ocaml

%description ocaml
Able to check OCaml sources files.

%package perl
Summary:        A syntax checker for Perl programming language
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       perl

%description perl
Able to check Perl sources files.

%package php
Summary:        A syntax checker for PHP programming language
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       php

%description php
Able to check php sources files.

%package puppet
Summary:        A syntax checker for Puppet files
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       puppet

%description puppet
Able to check Puppet sources files.

%package python
Summary:        A syntax checker for Python programming language
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       python
Requires:       pyflakes
Requires:       pylint

%description python
Able to check Python sources files.

%package rst
Summary:        A syntax checker for rst files
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       python-docutils

%description rst
Able to check rst sources files.

%package ruby
Summary:        A syntax checker for Ruby progrmming language
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       ruby

%description ruby
Able to check Ruby sources files.

%package sass
Summary:        A syntax checker for Sass files
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       ruby-haml

%description sass
Able to check Sass sources files.

%package scala
Summary:        A syntax checker for Scala programing language
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       scala

%description scala
Able to check Scala sources files.

%package sh
Summary:        A syntax checker for shell programming language
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       bash

%description sh
Able to check shell sources files.

%package tcl
Summary:        A syntax checker for Tcl programming language
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       tcl

%description tcl
Able to check Tcl sources files.

%package tex
Summary:        A syntax checker for Tex files
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       texlive-texmf

%description tex
Able to check Tex sources files.

%package vala
Summary:        A syntax checker for Vala programming language
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       vala

%description vala
Able to check Vala sources files.

%package vhdl
Summary:        A syntax checker for vhdl language
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch

%description vhdl
Able to check vhdl sources files.

%package xhtml
Summary:        A syntax checker for XHTML files
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       tidy

%description xhtml
Able to check XHTML sources files.

%package xml
Summary:        A syntax checker for XML files
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       libxml2-utils

%description xml
Able to check XML sources files.

%package xslt
Summary:        A syntax checker for XSLT files
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:       libxml2-utils

%description xslt
Able to check XSLT sources files.

%package yaml
Summary:        A syntax checker for yaml files
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch

%description yaml
Able to check yaml sources files.

%package z80
Summary:        A syntax checker for z80 files
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch

%description z80
Able to check z80 sources files.

%package zsh
Summary:        A syntax checker for zsh files
Requires:       %{name} =  %{version}-%{release}
BuildArch:      noarch
Requires:	zsh

%description zsh
Able to check zsh sources files.


%prep
#setup  -q -n %{gitauthor}-%{name}-%{githash}
%setup  -q 
# Use executable script from bindir
sed -i "s|expand\(.*sfile.*\).*|'%{_bindir}/erlang_check_file.erl'|" syntax_checkers/erlang/erlang.vim
# Use executable script from bindir
sed -i "s|expand\(.*sfile.*\).*|'%{_bindir}/efm_perl.pl'|" syntax_checkers/perl/perl.vim
# fix executable name
#sed -i "s|rst2pseudoxml.py|rst2pseudoxml|g" syntax_checkers/rst/rst.vim

%build

%install
rm -fr %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{vimfiles}/autoload
#mkdir -p %{buildroot}%{vimfiles}/syntax_checkers
mkdir -p %{buildroot}%{vimfiles}/doc/
mkdir -p %{buildroot}%{vimfiles}/plugin

cp -R autoload/*                                            %{buildroot}%{vimfiles}/autoload

rm -fr syntax_checkers/{co,coffee,coq,cuda,d,dart,elixir,go,haxe,hss,nroff,pod,rust,scala,slim,text,twig,typescript,zpt}

for i in `find ./syntax_checkers -type d`;
do
	cp -R $i                                            %{buildroot}%{vimfiles}/syntax_checkers
done
install -m0644 doc/syntastic.txt                            %{buildroot}%{vimfiles}/doc/syntastic.txt
cp -R plugin/syntastic                                      %{buildroot}%{vimfiles}/plugin/
install -m0644 plugin/syntastic.vim                         %{buildroot}%{vimfiles}/plugin/syntastic.vim
install -m0755 syntax_checkers/erlang/erlang_check_file.erl %{buildroot}%{_bindir}/erlang_check_file.erl
install -m0755 syntax_checkers/perl/efm_perl.pl             %{buildroot}%{_bindir}/efm_perl.pl

rm -f %{buildroot}%{vimfiles}/syntax_checkers/erlang/erlang_check_file.erl
rm -f %{buildroot}%{vimfiles}/syntax_checkers/perl/efm_perl.pl

%post
umask 022
cd %{vimfiles}/doc
vim -u NONE -esX -c "helptags ." -c quit
exit 0


%postun
if [ $1 -eq 0 ]; then
   umask 022
   cd %{vimfiles}/doc
   >tags
   vim -u NONE -esX -c "helptags ." -c quit
fi
exit 0

%files
%doc README.markdown
%{vimfiles}/autoload/*
%{vimfiles}/plugin/syntastic/*.vim
%{vimfiles}/plugin/syntastic.vim
%{vimfiles}/doc/syntastic.txt
%dir %{vimfiles}/syntax_checkers

%files ada
%{vimfiles}/syntax_checkers/ada/*.vim

%files applescript
%{vimfiles}/syntax_checkers/applescript/*.vim

%files asciidoc
%{vimfiles}/syntax_checkers/asciidoc/*.vim

%files c
%{vimfiles}/syntax_checkers/c/*.vim

%files cpp
%{vimfiles}/syntax_checkers/cpp/*.vim

%files cs
%{vimfiles}/syntax_checkers/cs/*.vim

%files css
%{vimfiles}/syntax_checkers/css/*.vim

%files cucumber
%{vimfiles}/syntax_checkers/cucumber/*.vim

%files docbk
%{vimfiles}/syntax_checkers/docbk/*.vim

%files erlang
%{_bindir}/erlang_check_file.erl
%{vimfiles}/syntax_checkers/erlang/*.vim

%files eruby
%{vimfiles}/syntax_checkers/eruby/*.vim

%files fortran
%{vimfiles}/syntax_checkers/fortran/*.vim

%files haml
%{vimfiles}/syntax_checkers/haml/*.vim

%files haskell
%{vimfiles}/syntax_checkers/haskell/*.vim

%files html
%{vimfiles}/syntax_checkers/html/*.vim

%files java
%{vimfiles}/syntax_checkers/java/*.vim

%files javascript
#%{vimfiles}/syntax_checkers/javascript.vim
%{vimfiles}/syntax_checkers/javascript/*.vim

%files json
#%{vimfiles}/syntax_checkers/json.vim
%{vimfiles}/syntax_checkers/json/*.vim

%files less
%{vimfiles}/syntax_checkers/less/*.vim
%{vimfiles}/syntax_checkers/less/*.coffee
%{vimfiles}/syntax_checkers/less/*.js

%files lisp
%{vimfiles}/syntax_checkers/lisp/*.vim

%files llvm
%{vimfiles}/syntax_checkers/llvm/*.vim

%files lua
%{vimfiles}/syntax_checkers/lua/*.vim

%files matlab
%{vimfiles}/syntax_checkers/matlab/*.vim

%files nasm
%{vimfiles}/syntax_checkers/nasm/*.vim

%files objc
%{vimfiles}/syntax_checkers/objc/*.vim

%files objcpp
%{vimfiles}/syntax_checkers/objcpp/*.vim

%files ocaml
%{vimfiles}/syntax_checkers/ocaml/*.vim

%files perl
%{_bindir}/efm_perl.pl
%{vimfiles}/syntax_checkers/perl/*.vim

%files php
%{vimfiles}/syntax_checkers/php/*.vim

%files puppet
%{vimfiles}/syntax_checkers/puppet/*.vim

%files python
%{vimfiles}/syntax_checkers/python/*.vim

%files rst
%{vimfiles}/syntax_checkers/rst/*.vim

%files ruby
%{vimfiles}/syntax_checkers/ruby/*.vim

%files sass
%{vimfiles}/syntax_checkers/sass/*.vim
%{vimfiles}/syntax_checkers/scss/*.vim

%files sh
%{vimfiles}/syntax_checkers/sh/*.vim

%files tcl
%{vimfiles}/syntax_checkers/tcl/*.vim

%files tex
%{vimfiles}/syntax_checkers/tex/*.vim

%files vala
%{vimfiles}/syntax_checkers/vala/*.vim

%files vhdl
%{vimfiles}/syntax_checkers/vhdl/*.vim

%files xhtml
%{vimfiles}/syntax_checkers/xhtml/*.vim

%files xml
%{vimfiles}/syntax_checkers/xml/*.vim

%files xslt
%{vimfiles}/syntax_checkers/xslt/*.vim

%files yaml
%{vimfiles}/syntax_checkers/yaml/*.vim

%files z80
%{vimfiles}/syntax_checkers/z80/*.vim

%files zsh
%{vimfiles}/syntax_checkers/zsh/*.vim



%changelog
* Sat Oct 26 2013 matteo <matteo> 3.1.0-4.mga4
+ Revision: 547207
- fixed bad requirement (javac)

* Mon Oct 21 2013 umeabot <umeabot> 3.1.0-3.mga4
+ Revision: 538638
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 matteo <matteo> 3.1.0-2.mga4
+ Revision: 490147
- added missing directory (plugin/syntastic)

* Tue Oct 01 2013 matteo <matteo> 3.1.0-1.mga4
+ Revision: 489779
- new version 3.1.0

* Mon Jan 14 2013 umeabot <umeabot> 2.2.0-6.mga3
+ Revision: 383930
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 29 2012 malo <malo> 2.2.0-5.mga3
+ Revision: 311330
- update RPM group

* Sun Sep 09 2012 matteo <matteo> 2.2.0-4.mga3
+ Revision: 291162
- fixed last (forgotten) requirement

* Sun Sep 09 2012 matteo <matteo> 2.2.0-3.mga3
+ Revision: 291106
- fixed requirements

* Sun Sep 09 2012 matteo <matteo> 2.2.0-2.mga3
+ Revision: 291011
- fixed libxml2-utils requirement

* Sun Aug 19 2012 matteo <matteo> 2.2.0-1.mga3
+ Revision: 282095
- spec file cleaned
- imported package syntastic

